C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LDM_ASUSET       **
C**************************
C
CD-Routine: Prepare to Convert Indices to Assymetric Unit - LDM_AUSET
C This routine calls the CCP4 routine ASUSET to prepare for converting
C indices to the asyymetric unit etc. using ASUPUT, ASUGET. The ASUSET
C routine is called via the LDM routine because it can access
C data stored internally within the Laue Data Module and avoid having to
C duplicate such data unnecessarily.
CD-end
CD-Fortran:
      SUBROUTINE LDM_ASUSET (MLAUE)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Call to CCP4'S ASUSET routine using stored symmetry
C
C          Then ASUPUT, ASUGET can be used
C
C Author:  John W. Campbell, July 1993
C
C Arguments:
C
      INTEGER MLAUE
CD-Parameters: 
C MLAUE   i (W)   Returns the Laue group number
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      CALL ASUSET (SPGNAM, NSPGRP, PGNAM, NSYM, ROTSYM, NSYMP, 
     +             MLAUE, 0)
      RETURN
      END
