
CD-Doc:
C SYMMetry         SUBROUTINE LDM_GET_SYMM (NSPG, SPGNAME, PGNAME, 
C                 +                         NSYMMP, NSYMM, RSM, RSMT, IFLAG)    
C                  (see separate section on Symmetry Handling Routines)
CD-end

C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LDM_GET_BEAM     **
C**************************
C
C
CD-Doc:
C BEAM_axis        SUBROUTINE LDM_GET_BEAM (VALSTR, IVAL, IFLAG)
CD-end
      SUBROUTINE LDM_GET_BEAM (VALSTR, IVAL, IFLAG)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Get value of string/code parameter BEAM_AXIS
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      CHARACTER*(*) VALSTR
      INTEGER IVAL
      INTEGER IFLAG

C  VALSTR    (W)   Value for the parameter as a string -a* -b* -c* +a* +b* +c*
C  IVAL      (W)   Code number -1 -2 -3 1 2 3
C  IFLAG     (W)   Flag = -1 undefined value
C                       =  0 default value
C                       =  1 value set explicitly
C                       =  2 value set globally
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C
      CHARACTER*3 STR(7)

      DATA STR/'-c*','-b*','-a*',' ','+a*','+b*','+c*'/
C
C-------------------------------------------------------------------------------
C
      IVAL = BEAM
      VALSTR = STR(IVAL+4)
      IFLAG = IS_BEAM
      RETURN
      END
