C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C*************************
C**     LDM_GET_EPS     **
C*************************
C
C
CD-Doc:
C SPOT_Epsilon     SUBROUTINE LDM_GET_EPS (VALUE, IFLAG, ND)
CD-end
      SUBROUTINE LDM_GET_EPS (VALUE, IFLAG, ND)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Get value of real parameter SPOT_EPSILON
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      REAL VALUE
      INTEGER IFLAG
      INTEGER ND

C  VALUE     (W)   Returns the spots too close to deconvolute limit
C                  epsilon in mm.
C  IFLAG     (W)   Flag = -1 undefined value
C                       =  0 default value
C                       =  1 value set explicitly
C                       =  2 value set globally
C ND         (W)   No. of decimal places for printing (- if E format)
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      VALUE = EPS
      IFLAG = IS_EPS
      ND = ND_EPS
      IF (ND.EQ.-1000) ND = 3
      RETURN
      END
