C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C*******************************
C**     LDM_GET_FNAME         **
C*******************************
C
C
CD-Doc:
C FILEname         SUBROUTINE LDM_GET_FNAME (IPACK, IPLATE, VALSTR, IFLAG,    
C                 +                          IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_GET_FNAME (IPACK, IPLATE, VALSTR, IFLAG, 
     +                       IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Get value of plate dependent string parameter FILENAME
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      INTEGER IPACK
      INTEGER IPLATE
      CHARACTER*(*) VALSTR
      INTEGER IFLAG
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  IPACK     (R)   Pack number (explicit)
C  IPLATE    (R)   Plate number (explicit)
C  VALSTR    (W)   Returns the value of the file name (if blank, then
C                  form file name from template). 
C  IFLAG     (W)   Flag = -1 undefined value
C                       =  0 default value
C                       =  1 value set explicitly
C                       =  2 value set globally
C  IERR      (W)   Error flag = 0 OK
C                             =-1 Invalid pack number
C                             =-2 Invalid plate number
C  ERRSTR    (W)   Error string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      CALL LDM_CHK_GPL (IPACK, IPLATE, IERR, ERRSTR)
      IF (IERR.NE.0) RETURN
      VALSTR = FNAME(IPACK,IPLATE)
      IFLAG = IS_FNAME(IPACK,IPLATE)
      RETURN
      END
