C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C****************************
C**     LDM_GET_KEYP       **
C****************************
C
C
CD-Doc:
C KEYPlate         SUBROUTINE LDM_GET_KEYP (IPACK, IVAL, IFLAG, 
C                 +                         IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_GET_KEYP (IPACK, IVAL, IFLAG, IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Get value of pack dependent integer parameter KEYPLATE
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      INTEGER IPACK
      INTEGER IVAL
      INTEGER IFLAG
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  IPACK     (R)   Pack number (explicit)
C  IVAL      (W)   Returns the Key plate number
C  IFLAG     (W)   Flag = -1 undefined value
C                       =  0 default value
C                       =  1 value set explicitly
C                       =  2 value set globally
C  IERR      (W)   Error flag = 0 OK
C                             =-1 Invalid pack number
C  ERRSTR    (W)   Error string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      CALL LDM_CHK_GPK (IPACK, IERR, ERRSTR)
      IF (IERR.NE.0) RETURN
      IVAL = KEYP(IPACK)
      IFLAG = IS_KEYP(IPACK)
      RETURN
      END
C
C****************************
C**     LDM_GET_KEYPK       **
C****************************
C
C
CD-Doc:
C KEYPack         SUBROUTINE LDM_GET_KEYPK (IVAL, IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_GET_KEYPK (IVAL, IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Get value of integer parameter KEYPACK, which is the pack most
C          recently indexed on
C
C Derived from LDM_GET_KEYP, February 2008, Marian Szebenyi
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      INTEGER IVAL
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  IVAL      (W)   Returns the Key pack number
C  IERR      (W)   Error flag = 0 OK
C                             =-1 Invalid key pack number
C  ERRSTR    (W)   Error string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      IERR = 0
      ERRSTR = ' '
      IF (KEYPACK.LT.1.OR.KEYPACK.GT.NUMP) THEN
        IERR = -1
        ERRSTR = 'KEYPACK is invalid'
        RETURN
      ENDIF
      IVAL = KEYPACK
      RETURN
      END
