C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LDM_LIRLSYMM     **
C**************************
C
CD-Routine: Write symmetry to LIRL - LDM_LIRLSYMM
C This routine calls the Laue Integrated Reflection List (LIRL) routine
C LIRLF_SETSYM to set the symmetry for the list. The LIRLF_SETSYM
C routine is called via the LDM routine because it can access
C data stored internally within the Laue Data Module and avoid having to
C duplicate such data unnecessarily.
CD-end
CD-Fortran:
      SUBROUTINE LDM_LIRLSYMM (MINDX)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set LIRL symmetry
C
C Author:  John W. Campbell, July 1997
C
C Arguments:
C
      INTEGER MINDX
CD-Parameters: 
C MINDX   i (R)   Index for the LIRL
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      INCLUDE 'ldm_derived.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C
      INTEGER IERR
C
C-------------------------------------------------------------------------------
C
      IF (NSYM.EQ.0) RETURN
      CALL LIRLF_SETSYM (MINDX, ROTSYM, RSMINV, IERR)
      RETURN
      END
