C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LDM_MMRAST       **
C**************************
C
CD-Routine: Millimetre to Raster Conversion Factors - LDM_MMRAST
C This routine returns the conversion factors from millimetres to rastors
C for the requested pack and plate number.
CD-end
CD-Fortran:
      SUBROUTINE LDM_MMRAST (IPACK, IPLATE, MM_RAST_X, MM_RAST_Y)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Get mm to raster conversion factors
C
C Author:  John W. Campbell, July 1993
C
C Arguments:
C
      INTEGER IPACK
      INTEGER IPLATE
      REAL MM_RAST_X
      REAL MM_RAST_Y

CD-Parameters:
C IPACK      i (R)   Pack number
C IPLATE     i (R)   Plate number
C MM_RAST_X  r (W)   Conversion factor for mm to x-rasters
C MM_RAST_Y  r (W)   Conversion factor for mm to y-rasters
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      IF (IPACK.LT.1.OR.IPACK.GT.LDM_MAXPK) RETURN
      IF (IPLATE.LT.1.OR.IPLATE.GT.LDM_MAXPL) RETURN
      MM_RAST_X = 1000.0/RAST
      MM_RAST_Y = MM_RAST_X*YSCAL(IPACK,IPLATE)
      RETURN
      END
