C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C***************************
C**     LDM_SET_FIDX2     **
C***************************
C
C
CD-Doc:
C FIDX2            SUBROUTINE LDM_SET_FIDX2 (VALUE, IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_SET_FIDX2 (VALUE, IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set value of real parameter FIDX2
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      REAL VALUE
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  VALUE     (R)   Value for the parameter 'fidx2' in 10mu from image centre
C  IERR      (W)   Error flag =0 OK
C  ERRSTR    (W)   Error description string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      INCLUDE 'ldm_lrl.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      IERR = 0
      ERRSTR = ' '
      FIDX2 = VALUE
      IS_FIDX2 = 1
      CH_FIDX2 = CH_MASK
      ND_FIDX2 = -1000
      CALL LDM_CLR_GEN (-1, -1, 2)
      RETURN
      END
