C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LDM_SET_G1OD     **
C**************************
C
C
CD-Doc:
C G1OD             SUBROUTINE LDM_SET_G1OD (VALUE, IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_SET_G1OD (VALUE, IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set value of real parameter G1OD
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      REAL VALUE
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  VALUE     (R)   Selwyn granularity at 1 OD for film > 0.0
C  IERR      (W)   Error flag =0 OK
C                             =3 Value must be >0.0
C  ERRSTR    (W)   Error description string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      CALL LDM_ERR_R (VALUE, 2, 0.0, 0.0, 2, IERR, ERRSTR)
      IF (IERR.NE.0) RETURN
      G1OD = VALUE
      IS_G1OD = 1
      CH_G1OD = CH_MASK
      ND_G1OD = -1000
      RETURN
      END
