C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C*****************************
C**     LDM_SET_NUMP        **
C*****************************
C
C
CD-Doc:
C NUMPack          SUBROUTINE LDM_SET_NUMP (IVAL, IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_SET_NUMP (IVAL, IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set value of integer parameter NUMPACK
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      INTEGER IVAL
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  IVAL      (R)   Number of packs >= 0 (0 for simulations only say)
C                  up to LDM max. allowed value.
C  IERR      (W)   Error flag =0 OK
C                             =2 Value must be >=0
C                             =4 Value out of range (other)
C  ERRSTR    (W)   Error description string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      CALL LDM_ERR_I (IVAL, 0, LDM_MAXPK, IERR, ERRSTR)
      IF (IERR.NE.0) RETURN
      NUMP = IVAL
      IS_NUMP = 1
      CH_NUMP = CH_MASK
      RETURN
      END
