C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LRL_CLR_INT      **
C**************************
C
CD-Routine: Clear Intensity Data for a Spot - LRL_CLR_INT
C This routine will clear (re-initialise) the integrated intensity data for
C a spot in the Laue Reflections List.
CD-end
CD-Fortran:
      SUBROUTINE LRL_CLR_INT (ISPOT)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Clear (re-initialise) integrated intensity data for a spot
C
C Author:  John W. Campbell, July 1993
C
C Arguments:
C
      INTEGER ISPOT
CD-Parameters:
C ISPOT     i  (R)   Spot index number (in current sort order)
CD-end
C====== GLOBALS:
C
      INCLUDE 'lrl_data.finc'
C
C====== FUNCTION TYPES:
C
      EXTERNAL LRL_BDAT
C
C====== LOCALS:
C   
      INTEGER I
C
C     INTEGER I        !Index to spot
C
C-------------------------------------------------------------------------------
C
      IF (ISPOT.LT.1.OR.ISPOT.GT.NUM_SPOTS) RETURN
      I = INDX(ISPOT)
      AII(I) = 0.0
      SIGII(I) = 0.0
      CALL STBITS (FLAGS(I),8,1,0)
      CALL STBITS (FLAGS(I),9,1,0)
      CALL STBITS (FLAGS(I),10,1,0)
      CALL STBITS (FLAGS(I),12,8,0)
      CALL STBITS (FLAGS(I),20,1,0)
      CALL STBITS (FLAGS(I),21,8,0)
      RETURN
      END
