C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LRL_GET_OVLP     **
C**************************
C
CD-Routine: Return Spatial Overlaps Flags for a Spot - LRL_GET_OVLP
C This routine returns the spatial overlaps flags for a spot in the
C Laue Reflections List.
CD-end
CD-Fortran:
      SUBROUTINE LRL_GET_OVLP (ISPOT, SPOV, CLOS, IERR)
CD-end
       INCLUDE 'implicit_none.finc'
C
C Purpose: Get spatial overlap flags for a spot 
C
C Author:  John W. Campbell, July 1993
C
C
      INTEGER ISPOT
      LOGICAL SPOV
      LOGICAL CLOS
      INTEGER IERR
CD-Parameters:
C ISPOT   i (R)   Spot index number (in current sort order)
C SPOV    l (W)   Spatially overlapped flag .TRUE. = yes, .FALSE. = no
C CLOS    l (W)   Too close for spatial deconvolution flag = .TRUE. yes,
C                 =. FALSE. no
C IERR    i (W)   Error flag =  0,  OK
C                            =  1,  Invalid spot number
CD-end
C====== GLOBALS:
C
      INCLUDE 'lrl_data.finc'
C
C====== FUNCTION TYPES:
C
      INTEGER NBITST
      EXTERNAL LRL_BDAT
C
C====== LOCALS:
C
      INTEGER I
C
C-------------------------------------------------------------------------------
C
      SPOV = .FALSE.
      CLOS = .FALSE.
      IERR = 0
      IF (ISPOT.LT.1.OR.ISPOT.GT.NUM_SPOTS) THEN
         IERR = 1
         RETURN
      END IF
      I = INDX(ISPOT)
      IF (NBITST(FLAGS(I),0,1).NE.0) SPOV = .TRUE.
      IF (NBITST(FLAGS(I),1,1).NE.0) CLOS = .TRUE.
      RETURN
      END
