C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LRL_GET_XYCEN    **
C**************************
C
CD-Routine: Get Corrected Centre Position - LRL_GET_XYCEN
C This routine returns the corrected centre position used when the Laue
C Reflection List was generated. Note that it is only valid after such
C a list has been generated and does not provide a means of calculating
C the corrected centre position.
CD-end
CD-Fortran:
      SUBROUTINE LRL_GET_XYCEN (XCEN, YCEN)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Get corrected centre position (of predicted pattern) on image
C     
C          Note: Only valid after generating the reflection list
C
C Author:  John W. Campbell, July 1993
C
C Arguments:
C
      REAL XCEN
      REAL YCEN
CD-Parameters:    
C XCEN   r (W)  Corrected 'x' centre position in rasters (wrt image origin)    
C YCEN   r (W)  Corrected 'y' centre position in rasters (wrt image origin)
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'lrl_data.finc'
C
C====== FUNCTION TYPES:
C
      EXTERNAL LRL_BDAT
C
C-------------------------------------------------------------------------------
C
      XCEN = GXCEN
      YCEN = GYCEN
      RETURN
      END
