C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LRL_SET_CLOS     **
C**************************
C
CD-Routine: Set 'Too Close' Flag for a Spot - LRL_SET_CLOS
C This routine sets the 'spots too close for spatial deconvolution' flag 
C for a spot. It is basically written for internal use but
C may be called by the user if desired.
CD-end
CD-Fortran:
      SUBROUTINE LRL_SET_CLOS (ISPOT)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set 'spots too close for spatial deconvolution' flag for a spot
C
C Author:  John W. Campbell, July 1993
C
C Arguments:
C
      INTEGER ISPOT
CD-Parameters:
C ISPOT   i (R)   Spot index number (in current sort order)
CD-end
C====== GLOBALS:
C
      INCLUDE 'lrl_data.finc'
C
C====== FUNCTION TYPES:
C
      EXTERNAL LRL_BDAT
C
C====== LOCALS:
C
      INTEGER I
C
C-------------------------------------------------------------------------------
C 
      IF (ISPOT.LT.1.OR.ISPOT.GT.NUM_SPOTS) RETURN
      I = INDX(ISPOT)
      CALL STBITS (FLAGS(I),1,1,1)
      RETURN
      END
