
C ----------------------------------------------------------------------------
C |                                                                          |
C |                        LSC  SERVICE ROUTINES                             |
C |                                                                          |
C ----------------------------------------------------------------------------

C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LSC_IRANGE       **
C**************************
C
C **** LSC SERVICE FUNCTION ONLY ****
C
C Function: Find a range number - LSC_IRANGE 
C Returns LSC_IRANGE, the range number
C
      FUNCTION LSC_IRANGE(X,XMIN,XMAX,NX)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Passing on the ranged number
C
C Author:  S. Arzt, September 1997
C
C Arguments:
      INTEGER LSC_IRANGE
      INTEGER NX
      REAL X, XMIN, XMAX
C Parameters:
C           X (R)   THE VALUE FOR WHICH THE RANGE NO. IS TO BE FOUND
C        XMIN (R)   THE MINIMUM X VALUE
C        XMAX (R)   THE MAXIMUM X VALUE
C          NX (R)   THE NUMBER OR RANGES (FROM XMIN TO XMAX)
C

      LSC_IRANGE = 1
      IF (XMAX.LE.XMIN) RETURN
      LSC_IRANGE = NX*(X-XMIN)/(XMAX-XMIN) + 1
      IF (LSC_IRANGE.LT.1) LSC_IRANGE = 1
      IF (LSC_IRANGE.GT.NX) LSC_IRANGE = NX
      RETURN
      END
