
C LAST UPDATE:
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C*****************************
C**     LSM_TEST_REFOBS     **
C*****************************
C
C **** LSM TESTING ROUTINE ONLY ****
C
C
      SUBROUTINE  LSM_TEST_REFOBS (IR, IDX, SC_INT, SC_SIG, RFMEAN)
C
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Return data from LSM_NEXT_REFOBS for use in an LSM testing
C          program
C
C Author:  John Campbell, July 1997
C
C Arguments:
C
      INTEGER IR
      INTEGER IDX
      REAL SC_INT
      REAL SC_SIG
      REAL RFMEAN
C
C Parameters:
C
C IR         (R)    Reflection position in set
C IDX        (W)    Returns reflection index in LIRL
C SC_INT     (W)    Returns the scaled intensity
C SC_SIG     (W)    Returns the scaled sig(I)
C RFMEAN     (W)    Returns the scaled mean or reference intensity
C
C====== PARAMETERS:
C
      INCLUDE 'limits.finc'
C
C====== GLOBALS:
C
      INCLUDE 'next_refobs.finc'
C
C====== LOCALS:
C

C          
C-------------------------------------------------------------------------------
C
      IF (IR.LT.1.OR.IR.GT.NREFOBS) RETURN
      IDX = LIRL_INDX(IR)
      SC_INT = SCALINT(IR)
      SC_SIG = SCALSIG(IR)
      RFMEAN = REFMEAN(IR)
      RETURN
      END
